
package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-06-03T13:14:12.785+03:00
 * Generated source version: 3.4.3
 */

@WebFault(name = "EntityNotFoundException", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/")
public class EntityNotFoundException_Exception extends Exception {

    private com.tsconsulting.dsubbotin.tm.endpoint.EntityNotFoundException faultInfo;

    public EntityNotFoundException_Exception() {
        super();
    }

    public EntityNotFoundException_Exception(String message) {
        super(message);
    }

    public EntityNotFoundException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public EntityNotFoundException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.EntityNotFoundException entityNotFoundException) {
        super(message);
        this.faultInfo = entityNotFoundException;
    }

    public EntityNotFoundException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.EntityNotFoundException entityNotFoundException, java.lang.Throwable cause) {
        super(message, cause);
        this.faultInfo = entityNotFoundException;
    }

    public com.tsconsulting.dsubbotin.tm.endpoint.EntityNotFoundException getFaultInfo() {
        return this.faultInfo;
    }
}
